routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| ROUTE FRONTEND:
|--------------------------------------------------------------------------
*/
Auth::routes(['verify' => true]);
Route::get('logout', 'Auth\LoginController@logout');

Route::get('/', 'Frontends\HomeController@index');
Route::get('kontak', 'Frontends\KontakController@index');
Route::get('faqfront', 'Frontends\FaqController@index');
Route::get('gambarpengumuman/{pengumuman_id}', 'Frontends\PengumumanController@gambar');

# PUBLIC SELECT2
Route::group(['prefix' => 'pub_select2'], function () {
    #Sekolah
    Route::get('allsekolah', '\App\Http\Controllers\Select2\SekolahController@all');
    Route::get('sekolah/{is_universitas?}', '\App\Http\Controllers\Select2\SekolahController@index');
    Route::get('sekolah_with_lain_lain/{is_universitas?}', '\App\Http\Controllers\Select2\SekolahController@sekolah_with_lain_lain');

    #Program Studi
    Route::get('programstudi', '\App\Http\Controllers\Select2\ProgramStudiController@index');
    Route::get('programstudi_with_lain_lain', '\App\Http\Controllers\Select2\ProgramStudiController@programstudi_with_lain_lain');
});

# HARUS SUDAH LOGIN SEBAGAI PENDAFTAR
Route::middleware(['web', 'auth:pendaftar', 'verified'])->group(function () {
    # FRONTEND SELECT2
    Route::group(['prefix' => 'front_select2'], function () {
        #PESERTA
        Route::get('ownpesertas', '\App\Http\Controllers\Select2\PesertaController@ownPesertas');

        #ALOKASI
        Route::get('alokasi_unitkerjas', '\App\Http\Controllers\Select2\AlokasiController@unitkerjas');
    });

    # PESERTA MAGANG
    Route::get('peserta_magang/datatable', 'Frontends\PesertaController@datatable');
    Route::get('peserta_magang/foto/{peserta_id}', 'Frontends\PesertaController@foto')->name('peserta_magang.foto');
    Route::get('peserta_magang/cv/{peserta_id}', 'Frontends\PesertaController@cv')->name('peserta_magang.cv');
    Route::get('peserta_magang/skck/{peserta_id}', 'Frontends\PesertaController@skck')->name('peserta_magang.skck');
    Route::resource('peserta_magang', 'Frontends\PesertaController');

    # STEP 1
    Route::get('pendaftaran/step1', 'Frontends\Pendaftaran\Step1Controller@index')->name('pendaftaran.step1.index');
    Route::get('pendaftaran/step1/{pengajuanId}/edit', 'Frontends\Pendaftaran\Step1Controller@edit')->name('pendaftaran.step1.edit');
    Route::get('pendaftaran/step1/unavailable_dates/{unit}/{bulan}/{tahun}/{exceptMagangId?}', 'Frontends\Pendaftaran\Step1Controller@unavailableDates')->name('pendaftaran.step1.unavailable_dates');

    # PENDAFTARAN MAGANG
    Route::get('pendaftaran', 'Frontends\Pendaftaran\PendaftaranController@index')->name('pendaftaran');
    Route::post('pendaftaran/{magangId}/approve', 'Frontends\Pendaftaran\PendaftaranController@approve')->name('pendaftaran.magang.approve');
    Route::get('pendaftaran/{pendaftaranId}', 'Frontends\Pendaftaran\PendaftaranController@show')->name('pendaftaran.show');
    Route::get('pendaftaran/{pendaftaranId}/surat_pengantar_resmi', 'Frontends\Pendaftaran\PendaftaranController@suratPengantarResmi')->name('pendaftaran.surat_pengantar_resmi');
    Route::get('pendaftaran/{pendaftaranId}/proposal', 'Frontends\Pendaftaran\PendaftaranController@proposal')->name('pendaftaran.proposal');
    Route::delete('pendaftaran/{pengajuanId}', 'Frontends\Pendaftaran\PendaftaranController@destroy')->name('pendaftaran.destroy');

    # MAGANG
    Route::get('pendaftaran/step1/{pengajuanId}/magang/datatable', 'Frontends\Pendaftaran\MagangController@datatable')->name('pendaftaran.step1.magang.datatable');
    Route::get('pendaftaran/step1/{pengajuanId}/magang/create', 'Frontends\Pendaftaran\MagangController@create')->name('pendaftaran.step1.magang.create');
    Route::post('pendaftaran/step1/{pengajuanId}/magang/store', 'Frontends\Pendaftaran\MagangController@store')->name('pendaftaran.step1.magang.store');
    Route::get('pendaftaran/step1/{pengajuanId}/magang/{magangId}/edit', 'Frontends\Pendaftaran\MagangController@edit')->name('pendaftaran.step1.magang.edit');
    Route::put('pendaftaran/step1/{pengajuanId}/magang/{magangId}/update', 'Frontends\Pendaftaran\MagangController@update')->name('pendaftaran.step1.magang.update');
    Route::delete('pendaftaran/step1/{pengajuanId}/magang/{magangId}/delete', 'Frontends\Pendaftaran\MagangController@destroy')->name('pendaftaran.step1.magang.delete');

    # STEP 2
    Route::get('pendaftaran/step2/{pengajuanId}', 'Frontends\Pendaftaran\Step2Controller@index')->name('pendaftaran.step2.index');
    Route::put('pendaftaran/step2/{pengajuanId}', 'Frontends\Pendaftaran\Step2Controller@update')->name('pendaftaran.step2.update');
    Route::get('pendaftaran/step2/{pengajuanId}/surat_pengantar_resmi', 'Frontends\Pendaftaran\Step2Controller@suratPengatarResmi')->name('pendaftaran.step2.surat_pengantar_resmi');
    Route::get('pendaftaran/step2/{pengajuanId}/proposal', 'Frontends\Pendaftaran\Step2Controller@proposal')->name('pendaftaran.step2.proposal');

    #INFO PENEMPATAN
    Route::get('info_penempatan', 'Frontends\PenempatanController@index');

    # AKUN
    Route::get('akun', 'Frontends\AkunController@index');
    Route::get('akun/images/{id}/{file}', 'Frontends\AkunController@fotopendaftar');
    Route::post('akundataupdate', 'Frontends\AkunController@updatedata');
    Route::post('akunpasswordupdate', 'Frontends\AkunController@updatepassword');
});


/*
|--------------------------------------------------------------------------
| ROUTE BACKEND:
|--------------------------------------------------------------------------
*/

Route::middleware(['cas', 'isSimanisUser', 'manualLogin'])->group(function () {
    # ADMIN
    Route::redirect('admin', 'dashboard');

    # LOGOUT
    Route::get('adminlogout', 'AuthController@logout');

    # ROLES
    Route::get('roles/datatable', 'RoleController@datatable');
    Route::resource('roles', 'RoleController');

    # USERS
    Route::get('users/datatable', 'UserController@datatable');
    Route::resource('users', 'UserController');

    # PERMISSIONS
    Route::resource('permission', 'PermissionController');

    # ROLE MENUS
    Route::resource('rolemenus', 'RolemenuController');

    # FILE DOWNLOAD
    Route::get('filedownload', function (\Illuminate\Http\Request $request) {
        if (Storage::disk('local')->exists($request->input('p'))) {
            return Storage::download($request->input('p'));
        }
        abort(404);
    });

    # SELECT2
    Route::group(['prefix' => 'select2'], function () {
        #Roles
        Route::get('roles', '\App\Http\Controllers\Select2\RolesController@index');

        #Sekolah
        Route::get('sekolah', '\App\Http\Controllers\Select2\SekolahController@index');

        #Program Studi
        Route::get('programstudi', '\App\Http\Controllers\Select2\ProgramStudiController@index');

        #Unit
        Route::get('magang/unitkerja_magang_yg_diterima', '\App\Http\Controllers\Select2\MagangController@unitkerja_magang_yg_diterima');

        #Alokasi
        Route::get('alokasi_unitkerjas', '\App\Http\Controllers\Select2\AlokasiController@unitkerjas');
    });

    # DASHBOARD
    Route::get('dashboard', 'Dashboards\DashboardController@index');

    # PENDAFTAR
    Route::get('pendaftar/datatable', 'Pendaftar\PendaftarController@datatable');
    Route::get('pendaftar/foto/{pendaftar_id}', 'Pendaftar\PendaftarController@foto')->name('pendaftar.foto');
    Route::resource('pendaftar', 'Pendaftar\PendaftarController');

    # SEKOLAH
    Route::get('sekolah/datatable', 'Sekolah\SekolahController@datatable');
    Route::resource('sekolah', 'Sekolah\SekolahController');

    # PROGRAM STUDI
    Route::get('sekolahprogramstudi/datatable', 'SekolahProgramStudi\SekolahProgramStudiController@datatable');
    Route::resource('sekolahprogramstudi', 'SekolahProgramStudi\SekolahProgramStudiController');

    # FAQ
    Route::get('faq/datatable', 'Faq\FaqController@datatable');
    Route::resource('faq', 'Faq\FaqController');

    # KONTAK KAMI
    Route::get('kontakkami/datatable', 'Kontakkami\KontakkamiController@datatable');
    Route::resource('kontakkami', 'Kontakkami\KontakkamiController');

    # HALAMAN DEPAN
    Route::get('halamandepan/datatable', 'Halamandepan\HalamandepanController@datatable');
    Route::resource('halamandepan', 'Halamandepan\HalamandepanController');

    # ALOKASI
    Route::get('alokasi/datatable', 'Alokasi\AlokasiController@datatable');
    Route::resource('alokasi', 'Alokasi\AlokasiController');

    # DATA PESERTA
    Route::get('peserta/datatable', 'Peserta\PesertaController@datatable');
    Route::get('peserta/foto/{peserta_id}', 'Peserta\PesertaController@foto')->name('peserta.foto');
    Route::resource('peserta', 'Peserta\PesertaController');

    # DATA MAGANG
    Route::get('magang/datatable', 'Magang\MagangController@datatable');
    Route::get('magang/unavailable_dates/{unit}/{bulan}/{tahun}/{exceptMagangId?}', 'Magang\MagangController@unavailableDates')->name('magang.unavailable_dates');
    Route::resource('magang', 'Magang\MagangController');

    # APPROVAL
    Route::get('pengajuan/datatable', 'Pengajuan\PengajuanController@datatable');
    Route::post('pengajuan/approval/{idMagang}', 'Pengajuan\PengajuanController@approval')->name('pengajuan.approval');
    Route::resource('pengajuan', 'Pengajuan\PengajuanController');

    # SURAT PERSETUJUAN
    Route::get('surat_persetujuan/datatable', 'SuratPersetujuan\SuratPersetujuanController@datatable')->name('surat_persetujuan.datatable');
    Route::get('surat_persetujuan', 'SuratPersetujuan\SuratPersetujuanController@index')->name('surat_persetujuan.index');
    Route::get('surat_persetujuan/{idMagang}/edit', 'SuratPersetujuan\SuratPersetujuanController@edit')->name('surat_persetujuan.edit');
    Route::put('surat_persetujuan/{idMagang}', 'SuratPersetujuan\SuratPersetujuanController@update')->name('surat_persetujuan.update');

app/Models/Magang/Magang.php
<?php

namespace App\Magang;

use App\IndexNilai\IndexNilai;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class Magang extends Model
{
    protected $table = 'magangs';
    protected $guarded = ['id', 'is_accepted', 'is_expired'];

    public function pengajuan()
    {
        return $this->belongsTo('App\Pengajuan\Pengajuan', 'id_pengajuan');
    }

    public function modelPeserta()
    {
        return $this->belongsTo('App\Peserta\Peserta', 'id_peserta');
    }

    public function scopeGetAcceptedStatus($query, $stat)
    {
        return $query->where('is_accepted' ,'=', $stat);
    }

    public function scopeGetMahasiswa($query)
    {
        //$time_now = \Carbon\Carbon::now();
        return $query->where('tgl_akhir' ,'>=', Carbon::now());
    }

    public function scopeMagangAktif($query)
    {
        return $query->where('is_accepted' ,'=', true)
            ->whereRaw('CASE WHEN is_need_pendaftar_approval = true THEN is_approved_by_pendaftar = true ELSE 1=1 END');
    }

    public function scopeGetMahasiswaSaatIni($query)
    {
        //$time_now = \Carbon\Carbon::now();
        return $query->where('tgl_akhir' ,'>=', Carbon::now())->where('tgl_awal', '<=', Carbon::now());
    }

    public function getStartMagangAttribute()
    {
        return Carbon::create($this->tgl_awal)->format('d/m/Y');
    }

    public function getEndMagangAttribute()
    {
        return Carbon::create($this->tgl_akhir)->format('d/m/Y');
    }

    public function getCarbonTglAwalAttribute()
    {
        if($this->tgl_awal){
            return \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $this->tgl_awal);
        }
        return null;
    }

    public function getCarbonOldTglAwalAttribute()
    {
        if($this->old_tgl_awal){
            return \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $this->old_tgl_awal);
        }
        return null;
    }

    public function getCarbonTglAkhirAttribute()
    {
        if($this->tgl_akhir){
            return \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $this->tgl_akhir);
        }
        return null;
    }

    public function getCarbonOldTglAkhirAttribute()
    {
        if($this->old_tgl_akhir){
            return \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $this->old_tgl_akhir);
        }
        return null;
    }

    public function getLamaHariAttribute()
    {
        if($this->carbon_tgl_awal && $this->carbon_tgl_akhir){
            return $this->carbon_tgl_awal->diffInDays($this->carbon_tgl_akhir);
        }
        return null;
    }

    public function getOldLamaHariAttribute()
    {
        if($this->carbon_old_tgl_awal && $this->carbon_old_tgl_akhir){
            return $this->carbon_old_tgl_awal->diffInDays($this->carbon_old_tgl_akhir);
        }
        return null;
    }

    public function getCarbonAcceptedAtAttribute()
    {
        if($this->accepted_at){
            return \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $this->accepted_at);
        }
        return null;
    }

    public function getTextStatusForEmailAttribute()
    {
        $text = '';
        if ($this->is_accepted === true) {
            if ($this->is_need_pendaftar_approval && $this->is_approved_by_pendaftar === null) {
                $text = 'Disetujui Bersyarat';
            } elseif ($this->is_need_pendaftar_approval && $this->is_approved_by_pendaftar) {
                $text = 'Telah Anda Setujui';
            } elseif ($this->is_need_pendaftar_approval && !$this->is_approved_by_pendaftar) {
                $text = 'Telah Anda Tolak';
            } else {
                $text = 'Disetujui';
            }
        }

        // TOLAK
        if($this->is_accepted === false) {
            if ($this->is_need_pendaftar_approval && $this->is_approved_by_pendaftar === false) {
                $text = 'Telah Anda Tolak';
            }
            else {
                $text = 'Tidak disetujui';
            }
        }

        // RETURN
        return $text;
    }

    public function getNilaiPredikatAttribute()
    {
        $nilai = ($this->nilai != null) ? $this->nilai : 0;
        $index = IndexNilai::where('nilai_awal', '<=', $nilai)
            ->where('nilai_akhir', '>=', $nilai)
            ->first();
        return $index->standar_kualitas;
    }

    public static function getPengajuanSama($id_pengajuan)
    {
        $accepted_magang = Magang::getAcceptedStatus(true)
                            ->where('id_pengajuan', $id_pengajuan);
        $accepted_magang_with_doc = Magang::getAcceptedStatus(true)
                            ->where('id_pengajuan', $id_pengajuan)
                            ->whereNotNull('file_surat_persetujuan_magang');
        if( $accepted_magang->get()->count() == $accepted_magang_with_doc->get()->count() )
        {
            return $accepted_magang_with_doc;
        }

        return false;
    }

    public function purgeExpired()
    {
        $this->is_expired = false;
        $this->save();
    }

    public function doDelete()
    {
        $status = true;

        DB::beginTransaction();
        try{
            $this->delete();
            DB::commit();
        }catch(\Exception $e) {
            DB::rollback();
            $status = false;
        }

        return $status;
    }
}

app/Http/Controllers/Frontends/FaqController.php
<?php

namespace App\Http\Controllers\Frontends;

use App\Http\Controllers\Controller;
use App\Faq\Faq;


class FaqController extends Controller
{

    /**
     * Display a listing of the resource.
     *
     * @param FaqRequest $request
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $title = 'Frequently Aksed Questions';
        $activeMenus = ['menuFaq'];
        $faqs = Faq::where('is_aktif', 1)->orderBy('urutan', 'asc')->get();
        $viewData = compact('title', 'activeMenus', 'faqs');

        return view('frontends.faq.index', $viewData);
    }

}

app/Http/Controllers/Frontends/HomeController.php
<?php

namespace App\Http\Controllers\Frontends;

use App\Http\Controllers\Controller;
use App\Halamandepan\Halamandepan;
use App\Pengumuman\Pengumuman;

class HomeController extends Controller
{
    public function index()
    {
        $title = 'Magenta';
        $activeMenus = ['menuHome'];
        $home = Halamandepan::findOrFail(1);
        $pengumuman = Pengumuman::where('is_active', true)->first();
        $viewData = compact('title', 'activeMenus', 'home', 'pengumuman');
        return view('frontends.home.index', $viewData);
    }
}

app/Http/Controllers/Frontends/KontakController.php
<?php

namespace App\Http\Controllers\Frontends;

use App\Http\Controllers\Controller;
use App\Kontakkami\Kontakkami;

class KontakController extends Controller
{
    public function index()
    {
        $title = 'Kontak Kami';
        $activeMenus = ['menuKontak'];
        $kontakkami = kontakkami::findOrFail(1);
        $viewData = compact('title', 'activeMenus', 'kontakkami');

        return view('frontends.kontak.index', $viewData);


    }
}

app/Http/Controllers/Frontends/PenempatanController.php
<?php

namespace App\Http\Controllers\Frontends;

use App\Http\Controllers\Controller;
use App\Kontakkami\Kontakkami;
use App\Penempatan\Penempatan;

class PenempatanController extends Controller
{
    public function index()
    {
        $title = 'Penempatan';
        $activeMenus = ['menuInfoPenempatan'];
        $penempatan = Penempatan::first();
        $viewData = compact('title', 'activeMenus', 'penempatan');

        return view('frontends.penempatan.index', $viewData);


    }
}

resources/views/frontends/pendaftaran/show.blade.php
@extends('templates.layout-blank')


@section('content')
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-body">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="">{{ $title }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <table class="table table-sm">
                                <tbody>
                                    <tr>
                                        <td width="175px;">No Pengajuan</td>
                                        <td width="1px">:</td>
                                        <td>{{ $pengajuan->nomorPengajuan }}</td>
                                    </tr>
                                    <tr>
                                        <td>Alamat Instansi</td>
                                        <td>:</td>
                                        <td>{{ $pengajuan->alamat_instansi }}</td>
                                    </tr>
                                    <tr>
                                        <td>Pejabat Berwenang</td>
                                        <td>:</td>
                                        <td>{{ $pengajuan->nama_pejabat_berwenang }}</td>
                                    </tr>
                                    <tr>
                                        <td>Jabatan</td>
                                        <td>:</td>
                                        <td>{{ $pengajuan->jabatan }}</td>
                                    </tr>
                                    <tr>
                                        <td>Surat Pengantar Resmi</td>
                                        <td>:</td>
                                        <td>
                                            <a href="{{ route('pendaftaran.surat_pengantar_resmi', $pengajuan->id) }}">
                                                <i class="icon-download"></i> {{ basename($pengajuan->file_surat_pengantar_resmi) }}
                                            </a>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Proposal</td>
                                        <td>:</td>
                                        <td>
                                            @if($pengajuan->file_proposal)
                                                <a href="{{ route('pendaftaran.proposal', $pengajuan->id) }}">
                                                    <i class="icon-download"></i> {{ basename($pengajuan->file_proposal) }}
                                                </a>
                                            @else
                                                -
                                            @endif
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    

                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <table class="table table-sm table-bordered">
                                <thead>
                                <tr>
                                    <th width="50px">Foto</th>
                                    <th width="">Peserta Magang</th>
                                    <th width="250px">Unit Kerja Tujuan</th>
                                    <th width="75px">Status</th>
                                    <th width="150px">Surat Persetujuan Magang</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($pengajuan->magangs->sortBy('peserta') as $magang)
                                    <tr>
                                        <td>
                                            <img src="{{ route('peserta_magang.foto', $magang->id_peserta) }}?rand={{ rand(10,1000) }}" alt="">
                                        </td>
                                        <td>{{ $magang->peserta }}</td>
                                        <td>
                                            {{--UNIT--}}
                                            @if($magang->old_unit)
                                                <s>{{ $magang->old_unit }}</s><br>
                                            @endif
                                            {{ $magang->unit }}<br>

                                            {{--TANGGAL--}}
                                            @if($magang->old_tgl_awal && $magang->old_tgl_akhir)
                                                <small class="text-muted">
                                                    <s>
                                                        {{ $magang->carbon_old_tgl_awal->format('d M Y') }} -
                                                        {{ $magang->carbon_old_tgl_akhir->format('d M Y') }}
                                                        ({{ $magang->old_lama_hari }} hari)
                                                    </s>
                                                </small><br>
                                            @endif
                                            <small class="text-muted">
                                                @if($magang->carbon_tgl_awal && $magang->carbon_tgl_akhir)
                                                    {{ $magang->carbon_tgl_awal->format('d M Y') }} -
                                                    {{ $magang->carbon_tgl_akhir->format('d M Y') }}
                                                    ({{ $magang->lama_hari }} hari)
                                                @endif
                                            </small>
                                        </td>
                                        <td>
                                            @if(!$pengajuan->is_submitted)
                                                @if($magang->is_expired)
                                                    <span class="badge badge-pill badge-danger">Expired</span>
                                                @else
                                                    <span class="badge badge-pill badge-dark">Belum disubmit</span>
                                                @endif
                                            @else
                                                {{--BELUM APA2--}}
                                                @if($magang->is_accepted === null) <span class="badge badge-primary">Belum disetujui</span> @endif

                                                {{--SETUJU--}}
                                                @if($magang->is_accepted === true)
                                                    @if($magang->is_need_pendaftar_approval && $magang->is_approved_by_pendaftar === null)
                                                        <span class="badge badge-warning"> <i class="icon-exclamation"></i> &nbsp; Disetujui Bersyarat</span>
                                                    @elseif($magang->is_need_pendaftar_approval && $magang->is_approved_by_pendaftar)
                                                        <span class="badge badge-warning"> <i class="icon-check"></i> &nbsp; Telah Anda Setujui</span>
                                                    @elseif($magang->is_need_pendaftar_approval && !$magang->is_approved_by_pendaftar)
                                                        <span class="badge badge-dark">Telah Anda Tolak</span>
                                                    @else
                                                        <span class="badge badge-warning"> <i class="icon-check"></i> &nbsp; Disetujui</span>
                                                        @endif
                                                @endif

                                                {{--TOLAK--}}
                                                @if($magang->is_accepted === false)
                                                    @if($magang->is_need_pendaftar_approval && $magang->is_approved_by_pendaftar === false)
                                                        <span class="badge badge-dark">Telah Anda Tolak</span>
                                                    @else
                                                        <span class="badge badge-danger">Tidak disetujui</span>
                                                    @endif
                                                @endif
                                            @endif
                                        </td>
                                        <td>
                                            @if($magang->is_accepted !== false)
                                                @if($magang->file_surat_persetujuan_magang)
                                                    <a href="{{ route('pendaftaran.proposal', $magang->id) }}">
                                                        <i class="icon-file"></i> {{ basename($magang->file_surat_persetujuan_magang) }}
                                                    </a>
                                                @else
                                                    <i>Belum ada</i>
                                                @endif
                                            @else
                                                -
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('pageScript')
    <script>
        $(document).ready(function(){
            $('[data-toggle="tooltip"]').tooltip();
        });
    </script>
@endsection


{{-- For Modal --}}
@if(Request::ajax())
    @yield('content')
    @yield('pageScripts')
@endif